* {
    text-rendering: optimizeLegibility;
    font-variant-ligatures: common-ligatures;
    font-kerning: normal;
    line-height: 1.3;
}
#document {
    margin-left: auto;
    margin-right: auto;
    margin-top: 0;
    margin-bottom: 1em;
    width: 100%;
    max-width: 50em;
}
.pure-menu {
    margin: 0;
    background-color: #c596ff;
}

#project-list {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: .5em;
}

#drop-zone {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 2px solid #cccccc;
    border-radius: 8px;
    cursor: pointer;
    flex-direction: column;
    aspect-ratio: 1 / 1.33;
    background-image: url("/img/domino.webp");
    background-size: contain;
    background-repeat: no-repeat;
    font-face: bold;

    label {
        padding: 1em;
        width: auto;
        aspect-ratio: 1 / 1;
    }
}

.container-lemmas {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    gap: 1.5rem;
    padding: 1rem;

    .block-lemma {
        width: 100%;
        padding: .33rem;
        border-radius: 0.33rem;
    }
    .block-lemma-new {
        background-color: #ddd;
    }
    .block-lemma-started {
        background-color: #dd2;
    }
    .block-lemma-finished {
        background-color: #2c2;
    }
}

.domino-ui {
    padding-left: 2rem;
    
    summary {
        padding: .33rem;
        margin: .33rem;
        border-radius: 0.33rem;
    }
}
.domino-ui-new {
    background-color: #ddd;
}
.domino-ui-started {
    background-color: #dd2;
}
.domino-ui-finished {
    background-color: #2c2;
}

.project-tile {
    width: 100%;
    aspect-ratio: 1 / 1.33;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border-radius: 8px;
    border: 2px solid #cccccc;
}
.project-enabled {
    border: 2px solid #22cc22;
}

.project-tile pre {
    font-size: 40%;
}


.project-detail-type-tab {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(8rem, 1fr));
    column-gap: 1rem;

    a {
        border-bottom: 2px solid dodgerblue;
        padding: 1rem;
    }

    .selected {
        font-weight: bold;
    }
}

.type-detail-file-tab {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(8rem, 1fr));
    column-gap: 1rem;

    a {
        border-bottom: 2px solid dodgerblue;
        padding: .5rem;
    }

    .selected {
        font-weight: bold;
    }
}


/* https://css-tricks.com/pure-css-tabs-with-details-grid-and-subgrid/ */
.project-grid {
    display: grid;
    grid-template-columns: repeat(4, minmax(100px, 1fr));
    grid-template-rows: auto 1fr;
    column-gap: 1rem;

    summary {
        grid-row: 1;
        display: grid;
        padding: 1rem;
        border-bottom: 2px solid dodgerblue;
        cursor: pointer;
        grid-column: var(--n) / span 1;
        z-index: 1;
    }

    details {
        display: grid;
        grid-template-columns: subgrid;
        grid-template-rows: subgrid;
        grid-column: 1 / -1;
        grid-row: 1 / span 3;
    }


    details::details-content {
        grid-row: 2;
        grid-column: 1 / -1;
        padding: 1rem;
        border-bottom: 2px solid dodgerblue;
    }

    details:not([open])::details-content {
        display: none;
    }

    details[open]::details-content {
        z-index: 1;
    }

    details[open] summary {
        font-weight: bold;
    }
}

.loader {
    border: 16px solid #f3f3f3; /* Light grey */
    border-top: 16px solid #3498db; /* Blue */
    border-radius: 50%;
    animation: loader-spin 2s linear infinite;
    /*margin: 20%;*/
    width: 50%;
    aspect-ratio: 1/1;
}

@keyframes loader-spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}
